﻿
@import url(fonts.css);
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'ProductSans',Sans-Serif;
  text-decoration: none;
  outline: none;
  border: none;
  list-style: none;
  cursor: default;
}
:root {
  --bg: #eef3f9;
  --wh: #fff;
  --bl: #000;
  --gry: #ddd;
  --gre: #1876f3;
  --shd: rgba(0,0,0,0.2);
}
body {
  height: 100vh;
  background: var(--bg);
}
body.dark {
  background: #333;
}
span {
  font-family: 'material-icons';
}
/* loader */
.loader-box {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: var(--wh);
  display: grid;
  place-items: center;
  z-index: 10;
}
.loader {
  text-align: center;
}
.loader img {
  width: 80px;
  border-radius: 50%;
  filter: drop-shadow(2px 2px 3px rgba(0,0,0,0.2));
}
.loader h3 {
  font-family: Arial;
  padding-top: 10px;
  text-transform: uppercase;
  animation: tx 0.5s linear infinite alternate;
}
@keyframes tx {
  100% {
    letter-spacing: 2px;
  }
}
/* opacity */
.back {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0,0,0,0.3);
  display: none;
  z-index: 2;
}
.back.act {
  display: block;
}
.back.up {
  display: block;
}
/* navbar */
.navbar {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  padding: 10px 15px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  background: var(--wh);
  box-shadow: 0 2px 3px var(--shd);
  z-index: 3;
}
.navbar.dark {
  background: var(--bl);
  color: #fff;
}
.navbar span {
  font-size: 20px;
  transition: 0.2s;
}
.navbar #mode {
  padding: 5px;
}
.navbar #mode.act {
  transform: rotate(360deg);
}
.navbar #menu-btn {
  font-size: 28px;
  padding: 3px;
}
.navbar #menu-btn.act {
  transform: rotate(360deg);
}
#menu {
  position: fixed;
  top: 70px;
  right: -100%;
  width: 180px;
  background: #fff;
  color: var(--bl);
  border: 1px solid var(--bg);
  box-shadow: 5px 5px 10px var(--shd);
  border-radius: 5px;
  transition: 0.3s ease;
  transform: rotate(-90deg);
  opacity: 0;
  z-index: 4;
}
#menu.act {
  transform: rotate(0deg);
  right: 10px;
  opacity: 1;
}
#menu.dark {
  background: var(--bl);
  border-color: var(--bl);
}
#menu:before {
  position: absolute;
  content: '';
  top: -30px;
  right: 8px;
  border-top: 15px solid transparent;
  border-bottom: 15px solid #fff;
  border-right: 14px solid transparent;
  border-left: 14px solid transparent;
  transition: 0.3s;
}
#menu.dark:before {
  border-bottom-color: var(--bl);
}
#menu ul li a {
  display: flex;
  align-items: center;
  width: 100%;
  padding: 14px 15px;
  color: #576672;
  font-size: 16px;
}
#menu ul li a:active {
  background: var(--bg);
  transition: 0.3s;
}
#menu ul li a span {
  margin-right: 10px;
  font-size: 20px;
}
/* // end of menu */
/* main container */
.container {
  position: relative;
  width: 100%;
  padding: 30px;
  padding-top: 80px;
  overflow: hidden;
}
.container .box {
  position: relative;
  width: 100%;
  height: 222px;
  border: 2px solid var(--wh);
  border-radius: 5px;
  box-shadow: 0 2px 3px var(--shd);
  color: #333;
  transition: 0.3s;
  overflow: hidden;
}
.container .box .flex{
  width: 100%;
  height: 120px;
  display: flex;
}
.container .box .flex div{
  width: 50%;
  height: 100%;
  display: grid;
  place-items: center;
}
.container .box .flex .rBox{
  width: 51.5%;
  border-right: 2px solid var(--wh);
}
.container .box .mix{
  width: 100%;
  height: 100px;
  border-top: 2px solid #fff;
  display: grid;
  place-items: center;
}
.container .box.dark {
  border-color: var(--bl);
  color: var(--gry);
}
.container .codes {
  width: 100%;
  height: 45px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin: 15px auto;
  background: #fff;
  border-radius: 2px;
  overflow: hidden;
  box-shadow: 0 2px 3px var(--shd);
}
.container .codes.dark {
  background: var(--bl);
  color: var(--gry);
}
.container .codes .input {
  display: flex;
  align-items: center;
  justify-content: space-between;
  height: 100%;
  width: 50%;
  overflow: hidden;
}
.codes .input:nth-child(2) {
  border-left: 2px solid var(--bg);
}
.container .codes .input input {
  height: 100%;
  width: 80%;
  padding-right: 5px;
  background: none;
  font-size: 15px;
  transition: 0.2s;
}
.container .codes.dark .input input {
  color: var(--gry);
}
.codes .input span {
  width: 40px;
  height: 100%;
  line-height: 45px;
  text-align: center;
  font-size: 18px;
}
.codes .input #hex {
  text-align: right;
  padding-right: 3px;
  padding-left: 10px;
}
/* rang sliders */
.container .rang {
  width: 100%;
  height: 45px;
  margin: 10px 0;
  padding-right: 15px;
  display: flex;
  justify-content: space-between;
  background: #fff;
  border-radius: 2px;
  overflow: hidden;
  box-shadow: 0 2px 3px var(--shd);
  border: 1px solid var(--gry);
}
.container .rang.dark {
  background: var(--bl);
}
.container .rang h2 {
  width: 45px;
  height: 100%;
  text-align: center;
  line-height: 45px;
  color: #fff;
}
.rang #r {
  background: red;
}
.rang #g {
  background: green;
}
.rang #b {
  background: blue;
}
.container .rang input {
  -webkit-appearance: none;
  appearance: none;
  width: 80%;
  height: 5px;
  background: var(--gry);
  border-radius: 10px;
  margin-top: 19px;
}
.container .rang input::-webkit-slider-thumb {
  -webkit-appearance: none;
  appearance: none;
  width: 20px;
  height: 20px;
  border-radius: 50%;
  background: red;
  box-shadow: 3px 3px 5px rgba(0,0,0,0.3);
  border: 1px solid #fff;
}
.container .rang .green::-webkit-slider-thumb {
  background: green;
}
.container .rang .blue::-webkit-slider-thumb {
  background: blue;
}
/* about & help page */
.text {
  position: fixed;
  left: 0;
  bottom: -200%;
  width: 100%;
  height: 100%;
  padding: 20px;
  background: var(--wh);
  border-radius: 15px 15px 0 0;
  box-shadow: 0 -3px 5px var(--shd);
  transition: 0.2s;
  z-index: 3;
}
.text.up {
  bottom: -250px;
}
.text div {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.text div span {
  font-size: 25px;
  padding: 5px;
  border-radius: 50%;
}
.text div span:active {
  background: red;
  color: #fff;
}
.text p {
  padding-top: 15px;
}
.text.dark {
  background: var(--bl);
  color: var(--gry);
}
.text p a {
  color: var(--gre);
}